aboutsummaryrefslogtreecommitdiffstats
path: root/trio/maketgz
diff options
context:
space:
mode:
Diffstat (limited to 'trio/maketgz')
-rwxr-xr-xtrio/maketgz46
1 files changed, 46 insertions, 0 deletions
diff --git a/trio/maketgz b/trio/maketgz
new file mode 100755
index 00000000..aed8cf50
--- /dev/null
+++ b/trio/maketgz
@@ -0,0 +1,46 @@
+#! /bin/sh
+# Script to build archives with
+#
+
+echo "Version number?"
+read version
+
+# get current dir
+dir=`pwd`
+
+# Get basename
+orig=`basename $dir`
+
+# Get the left part of the dash (-)
+new=`echo $orig | cut -d- -f1`
+
+# Build new directory name
+n=$new-$version;
+
+# Tell the world what we're doing
+echo "creates $n.tar.gz";
+
+if [ -r $n ]; then
+ echo "Directory already exists!"
+ exit
+fi
+
+# Create the new dir
+mkdir $n
+
+# Copy all relevant files, with path and permissions!
+tar -cf - `cat FILES` | (cd $n; tar -xBpf -) || exit 1
+
+(cd $n && sh autogen.sh) || exit 1
+
+# Make a tar archive of it all
+tar -cvf $n.tar $n
+
+# gzip the archive
+gzip $n.tar
+
+# Make it world readable
+chmod a+r $n.tar.gz ;
+
+# Delete the temp dir
+rm -rf $n